<script setup lang="ts">
import type { PagePermission } from '~/models/role'
import { PAGE_PERMISSIONS } from '~/lib/page-permission'

definePageMeta({
  middleware: ['rbac'],
  roles: ['doctor', 'nurse', 'admisi', 'pharmacy', 'billing', 'management'],
  title: 'SATUSEHAT Integration',
  contentFrame: 'cf-full-width',
})

const route = useRoute()

useHead({
  title: () => route.meta.title as string,
})

const roleAccess: PagePermission = PAGE_PERMISSIONS['/satusehat']

const { checkRole, hasReadAccess } = useRBAC()

// Check if user has access to this page
const hasAccess = checkRole(roleAccess)
if (!hasAccess) {
  navigateTo('/403')
}

// Define permission-based computed properties
const canRead = hasReadAccess(roleAccess)
</script>

<template>
  <div>
    <div v-if="canRead">
      <ContentSatusehatList />
    </div>
    <PubMyUiError v-else :status-code="403" />
  </div>
</template>
